Results 1 to 10 of 10
  1. #1
    Join Date
    Mar 2002
    Posts
    162

    Unanswered: EXP-00024 error..........

    Hi guys,

    We seem to be running into a "EXP-00024 Export views not installed, please notify your DBA" error on ORACLE 9i, release 2

    We have tried the most obvious remedy which would be to follow these steps

    a. Log in as sys user :-

    (sqlplus /nolog
    connect sys/change_on_install@<connect_string> as sysdba
    @<Oracle_Home>/RDBMS/admin/catexp.sql)

    b. run the catexp.sql file. This will recreate all your exp related views.
    c. run the exp again.

    We executed these steps and ran catexp.sql without any errors, but we are still running into the same error, when we run the export.

    Is there anything else you think we ought to look out for??

    Thanks........

  2. #2
    Join Date
    Jul 2003
    Posts
    2,296
    grant exp_full_database to username

    ??
    - The_Duck
    you can lead someone to something but they will never learn anything ...

  3. #3
    Join Date
    Apr 2003
    Location
    Greenville, SC (USA)
    Posts
    1,155
    What version of 9.2 ... Look on Metalink (especially if 9.2.0.4).... there
    apparently was an issue with export in this upgrade ... The fix that most
    people did was to rerun the catpatch again and then catexp to correct
    the situation ...

    Gregg

  4. #4
    Join Date
    Mar 2002
    Posts
    162
    We're running this as SYS/password as SYSDBA. ......

    do you need to grant that privilege to SYS too??

  5. #5
    Join Date
    Mar 2002
    Posts
    162
    Gregg,

    It looks like your suggestion might be the way to go. Thanks. I'll let you know how it goes.

  6. #6
    Join Date
    Jul 2003
    Posts
    2,296
    not as sys. should already have it.

    Gregg might be right. I remember something along those lines. Be sure to
    run the scripts in the proper order he mentions.
    - The_Duck
    you can lead someone to something but they will never learn anything ...

  7. #7
    Join Date
    Apr 2003
    Location
    Greenville, SC (USA)
    Posts
    1,155
    9.2.0.4 had many problems ... I have a client that I can't get off of it ... They
    don't understand that although 9.2.0.5 has issues, they are not as severe
    as 9.2.0.4 ... They are constantly "working" around most of the bugs, especially with the optimizer, parallel query option, and table partitioning ..
    I haven't had a chance to play with 9.2.0.6 much yet, but I hope they finally
    get it right !!!

    Good luck
    Gregg

  8. #8
    Join Date
    Mar 2002
    Posts
    162
    Well, this is whats heppened so far.

    1) We shutdown the DB and brought it back up in migrate mode
    2) We ran Catpatch.sql and then brought the DB back up
    3) We ran Catexp.sql again.

    We still got the same errors, ("EXP-00024 Export views not installed, please notify your DBA" )when exporting the Full DB as SYS.

    We did try doing a user level export for the pertinent schema's, and those exported without a problem...surprisingly enough it did say something about questionable statistics for some tables (but I figured that was a "gathering Statistics" issue).

    We will try exporting with system instead of sys to see what happens.

  9. #9
    Join Date
    Nov 2002
    Location
    Desk, slightly south of keyboard
    Posts
    697
    Hi,

    Do you have any other versions on your machine? If so make sure you're using a 9.2 exp.exe rather than any other.

    Ie, on one machine with two installed DB versions...

    \oracle\ora81\bin\exp.exe
    \oracle\ora92\bin\exp.exe

    Ora92 being preferred in the path.

    I get problems if I forget whether I wrapping code destined for an 8 or 9 database.... they don't mix very well :-)

    Hth
    Bill
    Please don't email me directly with questions. I've probably just got home from the pub and cannot guarantee the sanity of my answers. In fact, I can't believe I actually made it home.

  10. #10
    Join Date
    Apr 2003
    Location
    Jagdishpur
    Posts
    146
    Hi,
    I seen all the posts & right> i had upgraded to 9.2.0.4 few months back & faced the same issue while exporting a single schema. I had personally faced this & would like to share the solution:

    This problem is basically not properly execution of catpatch.sql. And also there are lot many objects which turns to be INVALID and this need to be setup by executing utlrp.sql (Not always necessary).

    The steps would be to followed:
    1. logged in as sys as sysdba
    2. shutdown immediate
    3. startup migrate (pls. note it is must for catpatch.sql)
    4. execute catpatch.sql
    5. startup;

    Also, i needed (optionally) you may startup the utlrp.sql.
    For Better understaing before running catpatch.sql, pls. refer Metalink Doc. 262465.1

    Hope that helps.

    Regards
    - KR

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •